Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.xml
Class CalendarBundle

    java.lang.Object
      org.quartz.xml.CalendarBundle

All Implemented Interfaces:
  Calendar, Serializable

public class CalendarBundle
extends Object
implements Calendar

Wraps a `Calendar`.

Author:
  Chris Bonham
See Also:
  Serialized Form

Field Summary
`protected Calendar` | `calendar`
`protected String` | `calendarName`
`protected String` | `className`
`protected boolean` | `replace`

Fields inherited from interface org.quartz.Calendar
`MONTH`

Constructor Summary
`CalendarBundle()`

Method Summary
`protected void` | `createCalendar()`
`Calendar` | `getBaseCalendar()` Get the base calendar.
`Calendar` | `getCalendar()`
`String` | `getCalendarName()`
`String` | `getClassName()`
`String` | `getDescription()` Return the description given to the `Calendar` instance by its creator (if any).
`long` | `getNextIncludedTime(long timeStamp)` Determine the next time (in milliseconds) that is 'included' by the Calendar after the given time.
`boolean` | `getReplace()`
`boolean` | `isTimeIncluded(long timeStamp)` Determine whether the given time (in milliseconds) is 'included' by the Calendar.
`void` | `setBaseCalendar(Calendar baseCalendar)` Set a new base calendar or remove the existing one.
`void` | `setCalendar(Calendar calendar)`
`void` | `setCalendarName(String calendarName)`
`void` | `setClassName(String className)`
`void` | `setDescription(String description)` Set a description for the `Calendar` instance - may be useful for remembering/displaying the purpose of the calendar, though the description has no meaning to Quartz.
`void` | `setReplace(boolean replace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### calendarName

    protected String calendarName

### className

    protected String className

### calendar

    protected Calendar calendar

### replace

    protected boolean replace

Constructor Detail

### CalendarBundle

    public CalendarBundle()

Method Detail

### getCalendarName

    public String getCalendarName()

### setCalendarName

    public void setCalendarName(String calendarName)

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String className)
                      throws ClassNotFoundException,
                             InstantiationException,
                             IllegalAccessException

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`

### getCalendar

    public Calendar getCalendar()

### setCalendar

    public void setCalendar(Calendar calendar)

### getReplace

    public boolean getReplace()

### setReplace

    public void setReplace(boolean replace)

### getBaseCalendar

    public Calendar getBaseCalendar()

  Description copied from interface: `Calendar`

  Get the base calendar. Will be null, if not set.

  Specified by:
    `getBaseCalendar` in interface `Calendar`

### setBaseCalendar

    public void setBaseCalendar(Calendar baseCalendar)

  Description copied from interface: `Calendar`

  Set a new base calendar or remove the existing one.

  Specified by:
    `setBaseCalendar` in interface `Calendar`

### getDescription

    public String getDescription()

  Description copied from interface: `Calendar`

  Return the description given to the `Calendar` instance by its creator (if any).

  Specified by:
    `getDescription` in interface `Calendar`
  Returns:
    null if no description was set.

### setDescription

    public void setDescription(String description)

  Description copied from interface: `Calendar`

  Set a description for the `Calendar` instance - may be useful for remembering/displaying the purpose of the calendar, though the description has no meaning to Quartz.

  Specified by:
    `setDescription` in interface `Calendar`

### isTimeIncluded

    public boolean isTimeIncluded(long timeStamp)

  Description copied from interface: `Calendar`

  Determine whether the given time (in milliseconds) is 'included' by the Calendar.

  Specified by:
    `isTimeIncluded` in interface `Calendar`

### getNextIncludedTime

    public long getNextIncludedTime(long timeStamp)

  Description copied from interface: `Calendar`

  Determine the next time (in milliseconds) that is 'included' by the Calendar after the given time.

  Specified by:
    `getNextIncludedTime` in interface `Calendar`

### createCalendar

    protected void createCalendar()
                           throws ClassNotFoundException,
                                  InstantiationException,
                                  IllegalAccessException

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD